List subscriptions
curl --request GET \
--url https://api.paybridgenp.com/v1/billing/subscriptions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paybridgenp.com/v1/billing/subscriptions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paybridgenp.com/v1/billing/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "sub_01j9x2k3m4n5p6q7r8s9t0u1v2",
"object": "subscription",
"customer_id": "bcu_01j9x2k3m4n5p6q7r8s9t0u1v2",
"plan_id": "bpl_01j9x2k3m4n5p6q7r8s9t0u1v2",
"start_date": "2023-11-07T05:31:56Z",
"current_period_start": "2023-11-07T05:31:56Z",
"current_period_end": "2023-11-07T05:31:56Z",
"next_invoice_at": "2023-11-07T05:31:56Z",
"cancel_at_period_end": true,
"canceled_at": "2023-11-07T05:31:56Z",
"paused_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"trial_ends_at": "2023-11-07T05:31:56Z",
"pause_reason": "<string>",
"cancel_reason": "<string>",
"cancel_effective_at": "2023-11-07T05:31:56Z",
"billing_anchor_day": 123,
"due_days_after_period_start": 123,
"reference_id": "<string>",
"quantity": 1,
"customer": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"external_customer_id": "<string>"
},
"plan": {
"id": "<string>",
"name": "<string>",
"amount": 123,
"currency": "<string>",
"interval_unit": "<string>",
"interval_count": 123,
"grace_period_days": 123
},
"pending_plan": {
"id": "<string>",
"name": "<string>",
"amount": 123,
"currency": "<string>",
"interval_unit": "<string>",
"interval_count": 123
},
"latest_invoice": {
"id": "<string>",
"number": "<string>",
"status": "<string>",
"amount_due": 123,
"amount_paid": 123,
"currency": "<string>",
"due_at": "2023-11-07T05:31:56Z",
"paid_at": "2023-11-07T05:31:56Z",
"issued_at": "2023-11-07T05:31:56Z"
},
"metadata": {},
"livemode": true
}
],
"total": 123,
"page": 123,
"limit": 123
}{
"error": {
"message": "<string>",
"code": "<string>",
"request_id": "req_2Je91NlWKuXkdXUJOK9gaHNW",
"suspension": {
"suspended_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"pause": {
"paused_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
}
}Subscriptions
List subscriptions
Returns a paginated list of subscriptions. Supports filtering by display status, customer ID, and plan ID.
GET
/
v1
/
billing
/
subscriptions
List subscriptions
Authorizations
Your PayBridgeNP API key. Obtain one from the dashboard under Settings → API Keys. Prefix: sk_test_ for testing, sk_live_ for production.
Query Parameters
Filter by display status.
Available options:
draft, trialing, active, paused, past_due, cancelled, completed Filter by customer ID.
Filter by plan ID.
Required range:
x <= 100Was this page helpful?
⌘I